Subject: Question About sed for Windows

From: Ronald Satz <[email-masked]>
Date: Sun, 3 Dec 2017 15:33:07 -0500

Sirs:  What I'd like to do is substitute a return and line space for each occurrence of a comma.  This would convert a csv file to a flat file.  For example, here is the data for a csv file:

23, 10, -59978, -8109,  -36994, -13901,  -3616, 14636, 10124,  -10157,  8966, 1343, -10838,  13941, 3285,  -129, 16081,  -479800,  -5062,  -4325, 9875, 7100, 45500, 12140, 161100

I'd like to transform this to a column of values:

23
10
-59978
-8109
.
.
.
161100

Using sed for Windows I tried the command 

   sed -silent s/,/\r\n/g peconind.txt

where the txt file includes the comma separated data given above.  The result of this command is

23?
10?
-59978?
-8109?
.
.
.
161100

where, oddly, the last number does not have a question mark, but all of the others do.  Perhaps I'm using the wrong syntax--if so, what is the correct syntax?  On the other hand, perhaps there is a bug in your implementation of sed.  Please let me.

Regards,
Ronald W. Satz, Ph.D.
Transpower Corporation
[email-masked]